pointyhat is building for 5.5 but claiming 8.0

Kris Kennaway kris at FreeBSD.org
Tue Jan 8 15:28:48 PST 2008


Pav Lucistnik wrote:
> Boris Samorodov píše v st 09. 01. 2008 v 02:16 +0300:
>> On Tue, 08 Jan 2008 23:10:45 +0100 Pav Lucistnik wrote:
>>
>>>>> No, the port is using sysctl(2) to query the OS version which cannot
>>>>> be wrapped.
>>>> Hm, ports-mgmt/tinderbox masks it somehow... And doesn't get
>>>> an error for this port.
>>> The FreeBSD version inside the tinderbox is same as the host?
>> OK, I found the difference. The port builds for all FreeBSD version
>> except 5.x. The same is for ports-mgmt/tinderbox. Thus I think that
>> there is something that was not MFS'd to 5-STABLE that causes the
>> difference.
>>
>> For now I'm going to mark the port as IGNORE for OSVERSION < 600000.
>> A question to portmgr@: Do you have any objections?
> 
> It would be nice to know what exactly is going on in there.

Yeah, I can't imagine what it would be, unless it is using uname(1) or 
(3) and 5.x doesn't have the environment variable overrides...but in 
that case hundreds of other things would break.

Kris




More information about the freebsd-ports mailing list